Monday, January 12
==================

Debian packaging
----------------

A lot of time today with
the [Debian New Maintainer's Guide](https://www.debian.org/doc/manuals/maint-guide/)
and google for a project that needs some simple packages.

This is one of those things where the simple cases are simple and then it's
easy to get lost in a thicket of overlapping mechanisms and terminology.

Thought for providers of technical HOWTOs:

If you're describing the cumulative assembly of a file structure, provide a
copy (repository, tarball, whatever) of that file structure.

(I should probably take this notion to heart.)

Things to remember:

* http://man.he.net/man1/fakeroot

MS-DOS / AGT
------------

So I was scrolling through archive.org's newly-shiny MS-DOS archive (with the
crazy in-browser DOSBOX emulation), trying to think of what to look for.

I found some old friends:

- [_Crystal Caves_][cc]
- [_Commander Keen_][keen]
- [_Heretic_][h] --- still a pretty solid game and maybe my favorite iteration of the Doom Engine
- [_Rise of the Triads_][rott] --- there is absolutely _no way_ that ROTT actually
  looked as bad as this emulation at the time on baseline hardware, but we'll let
  that slide --- the graphics may have been better than they show here, but it
  was the Duke Nukem property of its moment, which is to say ultimately a
  regressive and not-very-consequential signpost on the way to later
  developments

And then I got to thinking about the Adventure Game Toolkit, which was this
sort of declarative, not-really-programmable interpreter for simple adventure
games.  The way I remember it, you wrote static descriptions of rooms, objects,
and characters.  It was a limited system, and the command interpreter was
pretty terrible, but it was also a lot more approachable than things like TADS
for people who didn't really know how to program anyway.  (Like me at the time.)

I'd like to get AGT running on squiggle.city, just because.  It turns out
there's a [portable interpreter called AGiliTY][agility], although maybe not
one that's well packaged.  I'll probably explore this more.

[agility]: http://www.ifarchive.org/indexes/if-archiveXprogrammingXagtXagility.html
[keen]: https://archive.org/details/msdos_Commander_Keen_1_-_Marooned_on_Mars_1990
[cc]: https://archive.org/details/msdos__1CRYSTL_shareware
[h]: https://archive.org/details/msdos_Heretic_-_Shadow_of_the_Serpent_Riders_1996
[rott]: https://archive.org/details/msdos_Rise_of_the_Triad_-_The_Hunt_Begins_Deluxe_Edition_1995
