Sunday, January 25, 2015
========================

background colors for tmux
--------------------------

I'm logged into too many machines.  I make an effort to have prompt colors differ
between hosts, but tmux is the same everywhere.

You can do this sort of thing:

    brennen@exuberance 11:54:43 /home/brennen/code $  cat ~/.tmux.conf 
    # Set window notifications
    setw -g monitor-activity on
    set -g visual-activity on
    set -g status-bg blue
    set -g status-fg white

...where `status-bg` and `status-fg` are colors for the status bar.

It seems like there may be ways to conditionalize this, but at this point I'm
tempted to just pull some simple templating system into my [dotfile
stuff][bpb-kit] and generate a subset of config files on a per-host basis.
