Sunday, December 7, 2014
========================

notes directory
---------------

On organizing todo lists, see [the p1k3 entry from August of
2014](https://p1k3.com/2014/8/23).

For years now, I've kept that sort of thing in a `notes.txt`.  At some point
notes.txt got its own directory with a haphazard jumble of auxiliary files.  It
looks like I turned that directory into a git repository a couple of years ago.

Unlike a lot of what I keep in git, `~/notes/` isn't meant for any kind of
publication.  In fact, it'd be pretty dumb to let it out in the world.  So I got
to thinking:  I should really encrypt this.

So what's the best way to encrypt a single directory on Linux?

Two search strings:

- linux encrypted directory
- encrypted git repo

It looks like maybe [http://ecryptfs.org/][eCryptFS] is the thing?  This machine's an
Ubuntu, so let's see what we can find:

    $ apt-cache search ecryptfs
    ecryptfs-utils - ecryptfs cryptographic filesystem (utilities)
    ecryptfs-utils-dbg - ecryptfs cryptographic filesystem (utilities; debug)
    libecryptfs-dev - ecryptfs cryptographic filesystem (development)
    libecryptfs0 - ecryptfs cryptographic filesystem (library)
    python-ecryptfs - ecryptfs cryptographic filesystem (python)
    zescrow-client - back up eCryptfs Encrypted Home or Encrypted Private Configuration

Google suggests that ecryptfs-utils might be what I'm looking for.

I become distracted reading about protests and leave this idea for another day.
